---
# https://github.com/jendrikseipp/vulture
image: registry.gitlab.com/notno/ci/images/python:latest

python:vulture:
  stage: test
  variables:
    MIN_CONFIDENCE: 100
    CHECK_PATH: "./${PYTHON_PACKAGE}"
    DEFAULT_ARGS: "--ignore-names test_* --exclude tests/"
  script:
    - pip3 install . || true  # installs package only if available
    - pip3 install vulture
    - python3 -m vulture --min-confidence ${MIN_CONFIDENCE} ${CHECK_PATH}
